package hirs.utils.tpm;

/**
 * This class represents an <code>Exception</code> generated by
 * <code>CreateTPMBaseline</code>.
 */
public class TPMBaselineGeneratorException extends Exception {

    private static final long serialVersionUID = 8850867303391694668L;

    /**
     * Creates a new <code>CreateTPMBaselineException</code> that has the
     * message <code>msg</code>.
     *
     * @param msg
     *            exception message
     */
    TPMBaselineGeneratorException(final String msg) {
        super(msg);
    }

    /**
     * Creates a new <code>CreateTPMBaselineException</code> that wraps the
     * given <code>Throwable</code>.
     *
     * @param t
     *            root cause
     */
    TPMBaselineGeneratorException(final Throwable t) {
        super(t);
    }

    /**
     * Creates a new <code>CreateTPMBaselineException</code> that has the
     * message <code>msg</code> and wraps the root cause.
     *
     * @param msg
     *            exception message
     * @param t
     *            root cause
     */
    TPMBaselineGeneratorException(final String msg, final Throwable t) {
        super(msg, t);
    }

}
